Mercurial > mplayer.hg
comparison configure @ 33878:1395723bf048
configure: spelling cosmetics
author | diego |
---|---|
date | Thu, 11 Aug 2011 17:45:28 +0000 |
parents | e6e45359f24f |
children | d5398f99b0bc |
comparison
equal
deleted
inserted
replaced
33877:c52940fe54dd | 33878:1395723bf048 |
---|---|
56 exit 1 | 56 exit 1 |
57 fi | 57 fi |
58 touch ffmpeg/mp_auto_pull | 58 touch ffmpeg/mp_auto_pull |
59 fi | 59 fi |
60 | 60 |
61 # Prevent locale nonsense from breaking basic text processing utils | 61 # Prevent locale nonsense from breaking basic text processing utilities |
62 export LC_ALL=C | 62 export LC_ALL=C |
63 | 63 |
64 # Store the configure line that was used | 64 # Store the configure line that was used |
65 configuration="$*" | 65 configuration="$*" |
66 | 66 |
150 shift | 150 shift |
151 compile_check $TMPC $@ | 151 compile_check $TMPC $@ |
152 } | 152 } |
153 | 153 |
154 # The following checks are special and should only be used with broken and | 154 # The following checks are special and should only be used with broken and |
155 # non-selfsufficient headers that do not include all of their dependencies. | 155 # non-self-sufficient headers that do not include all of their dependencies. |
156 | 156 |
157 header_check_broken() { | 157 header_check_broken() { |
158 cat > $TMPC << EOF | 158 cat > $TMPC << EOF |
159 #include <$1> | 159 #include <$1> |
160 #include <$2> | 160 #include <$2> |
190 | 190 |
191 tmp_run() { | 191 tmp_run() { |
192 "$TMPEXE" >> "$TMPLOG" 2>&1 | 192 "$TMPEXE" >> "$TMPLOG" 2>&1 |
193 } | 193 } |
194 | 194 |
195 # Display error message, flushes tempfile, exit | 195 # Display error message, flush temporary file, exit. |
196 die () { | 196 die () { |
197 echo | 197 echo |
198 echo "Error: $@" >&2 | 198 echo "Error: $@" >&2 |
199 echo >&2 | 199 echo >&2 |
200 rm -f "$TMPEXE" "$TMPC" "$TMPS" "$TMPCPP" | 200 rm -f "$TMPEXE" "$TMPC" "$TMPS" "$TMPCPP" |
427 --disable-libmpeg2 disable libmpeg2 [autodetect] | 427 --disable-libmpeg2 disable libmpeg2 [autodetect] |
428 --disable-libmpeg2-internal disable builtin libmpeg2 [autodetect] | 428 --disable-libmpeg2-internal disable builtin libmpeg2 [autodetect] |
429 --enable-musepack enable libmpcdec support (deprecated in favour of libavcodec) [disabled] | 429 --enable-musepack enable libmpcdec support (deprecated in favour of libavcodec) [disabled] |
430 --disable-libopencore_amrnb disable libopencore_amr narrowband [autodetect] | 430 --disable-libopencore_amrnb disable libopencore_amr narrowband [autodetect] |
431 --disable-libopencore_amrwb disable libopencore_amr wideband [autodetect] | 431 --disable-libopencore_amrwb disable libopencore_amr wideband [autodetect] |
432 --disable-libopenjpeg disable OpenJPEG (JPEG2000) input/output support [autodetect] | 432 --disable-libopenjpeg disable OpenJPEG (JPEG 2000) input/output support [autodetect] |
433 --disable-crystalhd disable CrystalHD support [autodetect] | 433 --disable-crystalhd disable CrystalHD support [autodetect] |
434 --disable-decoder=DECODER disable specified FFmpeg decoder | 434 --disable-decoder=DECODER disable specified FFmpeg decoder |
435 --enable-decoder=DECODER enable specified FFmpeg decoder | 435 --enable-decoder=DECODER enable specified FFmpeg decoder |
436 --disable-encoder=ENCODER disable specified FFmpeg encoder | 436 --disable-encoder=ENCODER disable specified FFmpeg encoder |
437 --enable-encoder=ENCODER enable specified FFmpeg encoder | 437 --enable-encoder=ENCODER enable specified FFmpeg encoder |
1411 --enable-neon) neon=yes ;; | 1411 --enable-neon) neon=yes ;; |
1412 --disable-neon) neon=no ;; | 1412 --disable-neon) neon=no ;; |
1413 --enable-iwmmxt) _iwmmxt=yes ;; | 1413 --enable-iwmmxt) _iwmmxt=yes ;; |
1414 --disable-iwmmxt) _iwmmxt=no ;; | 1414 --disable-iwmmxt) _iwmmxt=no ;; |
1415 --enable-mmx) _mmx=yes ;; | 1415 --enable-mmx) _mmx=yes ;; |
1416 --disable-mmx) # 3Dnow! and MMX2 require MMX | 1416 --disable-mmx) # 3DNow! and MMX2 require MMX |
1417 _3dnow=no _3dnowext=no _mmx=no _mmxext=no ;; | 1417 _3dnow=no _3dnowext=no _mmx=no _mmxext=no ;; |
1418 | 1418 |
1419 *) | 1419 *) |
1420 echo "Unknown parameter: $ac_option" | 1420 echo "Unknown parameter: $ac_option" |
1421 exit 1 | 1421 exit 1 |
1713 if test "$_nm" = auto ; then | 1713 if test "$_nm" = auto ; then |
1714 _nm=$($_cc -print-prog-name=nm) | 1714 _nm=$($_cc -print-prog-name=nm) |
1715 test -z "$_nm" && _nm=nm | 1715 test -z "$_nm" && _nm=nm |
1716 fi | 1716 fi |
1717 | 1717 |
1718 # XXX: this should be ok.. | 1718 # XXX: this should be OK.. |
1719 _cpuinfo="echo" | 1719 _cpuinfo="echo" |
1720 | 1720 |
1721 if test "$_runtime_cpudetection" = no ; then | 1721 if test "$_runtime_cpudetection" = no ; then |
1722 | 1722 |
1723 # Cygwin has /proc/cpuinfo, but only supports Intel CPUs | 1723 # Cygwin has /proc/cpuinfo, but only supports Intel CPUs |
1724 # FIXME: Remove the cygwin check once AMD CPUs are supported | 1724 # FIXME: Remove the Cygwin check once AMD CPUs are supported |
1725 if test -r /proc/cpuinfo && ! cygwin; then | 1725 if test -r /proc/cpuinfo && ! cygwin; then |
1726 # Linux with /proc mounted, extract CPU information from it | 1726 # Linux with /proc mounted, extract CPU information from it |
1727 _cpuinfo="cat /proc/cpuinfo" | 1727 _cpuinfo="cat /proc/cpuinfo" |
1728 elif test -r /compat/linux/proc/cpuinfo && ! x86 ; then | 1728 elif test -r /compat/linux/proc/cpuinfo && ! x86 ; then |
1729 # FreeBSD with Linux emulation /proc mounted, | 1729 # FreeBSD with Linux emulation /proc mounted, |
1730 # extract CPU information from it | 1730 # extract CPU information from it |
1731 # Don't use it on x86 though, it never reports 3Dnow | 1731 # Don't use it on x86 though, it never reports 3DNow! |
1732 _cpuinfo="cat /compat/linux/proc/cpuinfo" | 1732 _cpuinfo="cat /compat/linux/proc/cpuinfo" |
1733 elif darwin && ! x86 ; then | 1733 elif darwin && ! x86 ; then |
1734 # use hostinfo on Darwin | 1734 # use hostinfo on Darwin |
1735 _cpuinfo="hostinfo" | 1735 _cpuinfo="hostinfo" |
1736 elif aix; then | 1736 elif aix; then |
1816 _optimizing="$_optimizing mtrr" | 1816 _optimizing="$_optimizing mtrr" |
1817 fi | 1817 fi |
1818 echores "$_mtrr" | 1818 echores "$_mtrr" |
1819 | 1819 |
1820 if test "$_gcc3_ext" != ""; then | 1820 if test "$_gcc3_ext" != ""; then |
1821 # if we had to disable sse/sse2 because the active kernel does not | 1821 # If we had to disable SSE/SSE2 because the active kernel does not |
1822 # support this instruction set extension, we also have to tell | 1822 # support this instruction set extension, we also have to tell |
1823 # gcc3 to not generate sse/sse2 instructions for normal C code | 1823 # gcc3 to not generate SSE/SSE2 instructions for normal C code. |
1824 cflag_check $_march $_gcc3_ext && _march="$_march $_gcc3_ext" | 1824 cflag_check $_march $_gcc3_ext && _march="$_march $_gcc3_ext" |
1825 fi | 1825 fi |
1826 | 1826 |
1827 fi | 1827 fi |
1828 | 1828 |
1877 # Again, gcc treats athlon and athlon-tbird similarly. | 1877 # Again, gcc treats athlon and athlon-tbird similarly. |
1878 proc=athlon | 1878 proc=athlon |
1879 fi | 1879 fi |
1880 ;; | 1880 ;; |
1881 15) iproc=686 | 1881 15) iproc=686 |
1882 # k8 cpu-type only supported in gcc >= 3.4.0, but that will be | 1882 # k8 CPU type only supported in gcc >= 3.4.0, but that will be |
1883 # caught and remedied in the optimization tests below. | 1883 # caught and remedied in the optimization tests below. |
1884 proc=k8 | 1884 proc=k8 |
1885 ;; | 1885 ;; |
1886 | 1886 |
1887 *) proc=amdfam10 iproc=686 | 1887 *) proc=amdfam10 iproc=686 |
2138 cflag_check -march=$proc $cpuopt=$proc || proc=k8 | 2138 cflag_check -march=$proc $cpuopt=$proc || proc=k8 |
2139 fi | 2139 fi |
2140 if test "$proc" = "k8"; then | 2140 if test "$proc" = "k8"; then |
2141 cflag_check -march=$proc $cpuopt=$proc || proc=athlon-xp | 2141 cflag_check -march=$proc $cpuopt=$proc || proc=athlon-xp |
2142 fi | 2142 fi |
2143 # This will fail if gcc version < 3.3, which is ok because earlier | 2143 # This will fail if gcc version < 3.3, which is OK because earlier |
2144 # versions don't really support 64-bit on amd64. | 2144 # versions don't really support 64-bit on amd64. |
2145 # Is this a valid assumption? -Corey | 2145 # Is this a valid assumption? -Corey |
2146 if test "$proc" = "athlon-xp"; then | 2146 if test "$proc" = "athlon-xp"; then |
2147 cflag_check -march=$proc $cpuopt=$proc || proc=error | 2147 cflag_check -march=$proc $cpuopt=$proc || proc=error |
2148 fi | 2148 fi |
4388 | 4388 |
4389 | 4389 |
4390 # Note: the -lXxf86vm library is the VideoMode extension and though it's not | 4390 # Note: the -lXxf86vm library is the VideoMode extension and though it's not |
4391 # needed for DGA, AFAIK every distribution packages together with DGA stuffs | 4391 # needed for DGA, AFAIK every distribution packages together with DGA stuffs |
4392 # named 'X extensions' or something similar. | 4392 # named 'X extensions' or something similar. |
4393 # This check may be useful for future mplayer versions (to change resolution) | 4393 # This check may be useful for future MPlayer versions (to change resolution) |
4394 # If you run into problems, remove '-lXxf86vm'. | 4394 # If you run into problems, remove '-lXxf86vm'. |
4395 echocheck "Xxf86vm" | 4395 echocheck "Xxf86vm" |
4396 if test "$_vm" = auto && test "$_x11" = yes ; then | 4396 if test "$_vm" = auto && test "$_x11" = yes ; then |
4397 _vm=no | 4397 _vm=no |
4398 statement_check_broken X11/Xlib.h X11/extensions/xf86vmode.h 'XF86VidModeQueryExtension(0, 0, 0)' -lXxf86vm && _vm=yes | 4398 statement_check_broken X11/Xlib.h X11/extensions/xf86vmode.h 'XF86VidModeQueryExtension(0, 0, 0)' -lXxf86vm && _vm=yes |
4524 vomodules="cvidix $vomodules" | 4524 vomodules="cvidix $vomodules" |
4525 # FIXME: ivtv driver temporarily disabled until we have a proper test | 4525 # FIXME: ivtv driver temporarily disabled until we have a proper test |
4526 #test "$_vidix_drivers" || _vidix_drivers="cyberblade ivtv mach64 mga mga_crtc2 nvidia pm2 pm3 radeon rage128 s3 sh_veu sis unichrome" | 4526 #test "$_vidix_drivers" || _vidix_drivers="cyberblade ivtv mach64 mga mga_crtc2 nvidia pm2 pm3 radeon rage128 s3 sh_veu sis unichrome" |
4527 test "$_vidix_drivers" || _vidix_drivers="cyberblade mach64 mga mga_crtc2 nvidia pm2 pm3 radeon rage128 s3 sh_veu sis unichrome" | 4527 test "$_vidix_drivers" || _vidix_drivers="cyberblade mach64 mga mga_crtc2 nvidia pm2 pm3 radeon rage128 s3 sh_veu sis unichrome" |
4528 | 4528 |
4529 # some vidix drivers are architecture and os specific, discard them elsewhere | 4529 # some VIDIX drivers are architecture and os-specific, discard them elsewhere |
4530 x86 || _vidix_drivers=$(echo $_vidix_drivers | sed -e s/cyberblade// -e s/sis// -e s/unichrome// -e s/s3//) | 4530 x86 || _vidix_drivers=$(echo $_vidix_drivers | sed -e s/cyberblade// -e s/sis// -e s/unichrome// -e s/s3//) |
4531 (test $host_arch = "sh" && linux) || _vidix_drivers=$(echo $_vidix_drivers | sed s/sh_veu//) | 4531 (test $host_arch = "sh" && linux) || _vidix_drivers=$(echo $_vidix_drivers | sed s/sh_veu//) |
4532 | 4532 |
4533 for driver in $_vidix_drivers ; do | 4533 for driver in $_vidix_drivers ; do |
4534 uc_driver=$(echo $driver | tr '[a-z]' '[A-Z]') | 4534 uc_driver=$(echo $driver | tr '[a-z]' '[A-Z]') |
4788 | 4788 |
4789 echocheck "PNG support" | 4789 echocheck "PNG support" |
4790 if test "$_png" = auto ; then | 4790 if test "$_png" = auto ; then |
4791 _png=no | 4791 _png=no |
4792 if irix ; then | 4792 if irix ; then |
4793 # Don't check for -lpng on irix since it has its own libpng | 4793 # Don't check for -lpng on IRIX since it has its own libpng |
4794 # incompatible with the GNU libpng | 4794 # incompatible with the GNU libpng |
4795 res_comment="disabled on irix (not GNU libpng)" | 4795 res_comment="disabled on irix (not GNU libpng)" |
4796 else | 4796 else |
4797 cat > $TMPC << EOF | 4797 cat > $TMPC << EOF |
4798 #include <stdio.h> | 4798 #include <stdio.h> |
4845 def_jpeg='#undef CONFIG_JPEG' | 4845 def_jpeg='#undef CONFIG_JPEG' |
4846 novomodules="jpeg $novomodules" | 4846 novomodules="jpeg $novomodules" |
4847 fi | 4847 fi |
4848 | 4848 |
4849 | 4849 |
4850 echocheck "OpenJPEG (JPEG2000) support" | 4850 echocheck "OpenJPEG (JPEG 2000) support" |
4851 if test "$libopenjpeg" = auto ; then | 4851 if test "$libopenjpeg" = auto ; then |
4852 libopenjpeg=no | 4852 libopenjpeg=no |
4853 define_statement_check OPJ_STATIC openjpeg.h 'opj_dparameters_t dec_params; opj_set_default_decoder_parameters(&dec_params)' -lopenjpeg && libopenjpeg=yes | 4853 define_statement_check OPJ_STATIC openjpeg.h 'opj_dparameters_t dec_params; opj_set_default_decoder_parameters(&dec_params)' -lopenjpeg && libopenjpeg=yes |
4854 fi | 4854 fi |
4855 echores "$libopenjpeg" | 4855 echores "$libopenjpeg" |
4876 echores "$_pnm" | 4876 echores "$_pnm" |
4877 | 4877 |
4878 | 4878 |
4879 | 4879 |
4880 echocheck "GIF support" | 4880 echocheck "GIF support" |
4881 # This is to appease people who want to force gif support. | 4881 # This is to appease people who want to force GIF support. |
4882 # If it is forced to yes, then we still do checks to determine | 4882 # If it is forced to yes, then we still do checks to determine |
4883 # which gif library to use. | 4883 # which GIF library to use. |
4884 if test "$_gif" = yes ; then | 4884 if test "$_gif" = yes ; then |
4885 _force_gif=yes | 4885 _force_gif=yes |
4886 _gif=auto | 4886 _gif=auto |
4887 fi | 4887 fi |
4888 | 4888 |
5985 cat > $TMPC << EOF | 5985 cat > $TMPC << EOF |
5986 #include <stdio.h> | 5986 #include <stdio.h> |
5987 #include <stdlib.h> | 5987 #include <stdlib.h> |
5988 #include <fontconfig/fontconfig.h> | 5988 #include <fontconfig/fontconfig.h> |
5989 #if FC_VERSION < 20402 | 5989 #if FC_VERSION < 20402 |
5990 #error At least version 2.4.2 of fontconfig required | 5990 #error At least version 2.4.2 of Fontconfig required |
5991 #endif | 5991 #endif |
5992 int main(void) { | 5992 int main(void) { |
5993 int err = FcInit(); | 5993 int err = FcInit(); |
5994 if (err == FcFalse) { | 5994 if (err == FcFalse) { |
5995 printf("Couldn't initialize fontconfig lib\n"); | 5995 printf("Could not initialize Fontconfig library.\n"); |
5996 exit(err); | 5996 exit(err); |
5997 } | 5997 } |
5998 return 0; | 5998 return 0; |
5999 } | 5999 } |
6000 EOF | 6000 EOF |
7744 def_lircc='#undef CONFIG_LIRCC' | 7744 def_lircc='#undef CONFIG_LIRCC' |
7745 fi | 7745 fi |
7746 echores "$_lircc" | 7746 echores "$_lircc" |
7747 | 7747 |
7748 if arm; then | 7748 if arm; then |
7749 # Detect maemo development platform libraries availability (http://www.maemo.org), | 7749 # Detect Maemo development platform libraries availability (http://www.maemo.org), |
7750 # they are used when run on Nokia 770|8x0 | 7750 # they are used when run on Nokia 770|8x0 |
7751 echocheck "maemo (Nokia 770|8x0)" | 7751 echocheck "maemo (Nokia 770|8x0)" |
7752 if test "$_maemo" = auto ; then | 7752 if test "$_maemo" = auto ; then |
7753 _maemo=no | 7753 _maemo=no |
7754 statement_check libosso.h 'osso_initialize('', '', 0, NULL)' $($_pkg_config --cflags --libs libosso 2>/dev/null) && _maemo=yes | 7754 statement_check libosso.h 'osso_initialize('', '', 0, NULL)' $($_pkg_config --cflags --libs libosso 2>/dev/null) && _maemo=yes |
8759 | 8759 |
8760 EOF | 8760 EOF |
8761 | 8761 |
8762 | 8762 |
8763 if test "$_mtrr" = yes ; then | 8763 if test "$_mtrr" = yes ; then |
8764 echo "Please check mtrr settings at /proc/mtrr (see DOCS/HTML/$language_doc/video.html#mtrr)" | 8764 echo "Please check MTRR settings at /proc/mtrr (see DOCS/HTML/$language_doc/video.html#mtrr)" |
8765 echo | 8765 echo |
8766 fi | 8766 fi |
8767 | 8767 |
8768 if ! x86_32; then | 8768 if ! x86_32; then |
8769 cat <<EOF | 8769 cat <<EOF |